Page MenuHomePhabricator

Add WMDE analytics scripts and crons to puppet
Closed, ResolvedPublic13 Estimate Story Points

Description

Currently this is all run from my user account on stat1002.
To increase maintainability the crons etc should be puppetized.

Details

Related Gerrit Patches:
operations/puppet : productionFix path and bad User requirement in stats_wmde
operations/puppet : productionStatistics::wmde puppetization
analytics/wmde/scripts : masterPrepare for puppet stuff

Event Timeline

Addshore created this task.Feb 5 2016, 4:00 PM
Addshore raised the priority of this task from to Needs Triage.
Addshore updated the task description. (Show Details)
Addshore added a subscriber: Addshore.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 5 2016, 4:00 PM
Addshore set Security to None.Feb 5 2016, 4:39 PM
Addshore added a subscriber: Ottomata.
Tobi_WMDE_SW set the point value for this task to 13.Mar 3 2016, 9:37 AM
Addshore renamed this task from Add WMDE analytics stuff to puppet to Add WMDE analytics scripts and crons to puppet.Mar 28 2016, 1:50 PM

Change 287622 had a related patch set uploaded (by Addshore):
Prepare for puppet stuff

https://gerrit.wikimedia.org/r/287622

Change 287622 merged by Addshore:
Prepare for puppet stuff

https://gerrit.wikimedia.org/r/287622

Change 269467 had a related patch set uploaded (by Addshore):
Statistics::wmde puppetization

https://gerrit.wikimedia.org/r/269467

Addshore claimed this task.Jul 11 2016, 2:18 PM
Addshore moved this task from Proposed to Doing on the TCB-Team-Sprint-2016-06-29 board.

Change 269467 merged by Ottomata:
Statistics::wmde puppetization

https://gerrit.wikimedia.org/r/269467

Change 298311 had a related patch set uploaded (by Addshore):
Fix path and bad User requirement in stats_wmde

https://gerrit.wikimedia.org/r/298311

Change 298311 merged by Ottomata:
Fix path and bad User requirement in stats_wmde

https://gerrit.wikimedia.org/r/298311

Addshore triaged this task as Medium priority.Jul 11 2016, 10:31 PM
Addshore moved this task from Doing to Done on the TCB-Team-Sprint-2016-06-29 board.
Addshore moved this task from Unsorted 💣 to Closing ✔️ on the User-Addshore board.
Addshore closed this task as Resolved.Jul 13 2016, 11:13 AM